version: '3.4'

services:
  ldap:
    image: osixia/openldap:1.2.4
    environment:
      - LDAP_DOMAIN=keycloak.org
    ports:
      - "389:389"
    command: --copy-service
    volumes:
      - ./ldap:/container/service/slapd/assets/config/bootstrap/ldif/custom:ro

  mail:
    image: mailhog/mailhog
    ports:
      - "1025:1025"
      - "8025:8025"

  keycloak:
    build: keycloak
    ports:
      - "8080:8080"

  gatekeeper:
    image: keycloak/keycloak-gatekeeper
    ports:
      - "3000:3000"
    volumes:
      - ./config.yaml:/tmp/config.yaml
    command: --config /tmp/config.yaml

  echo:
    image: brndnmtthws/nginx-echo-headers
    ports:
      - "8080"
